## Name

rot — Rotates the view or an object by xyz degrees.

## Synopsis

`rot` {`x y z`}

## DESCRIPTION

Rotates the view or an object by xyz degrees. Exactly what and how it is rotated are dependent on MGEDs state as well as the state of the display manager. See arot for a similar capability.

## EXAMPLES

The two examples show the use of the rot command to rotate the view or object by a specified number of degrees about the x, y, or z axis.

Example 1. Rotate the view or object a specified number of degrees about the z axis.

`mged>``rot 0 0 45`

Rotates the view or object 45° about the z axis.

Example 2. Rotate the view or object a specified number of degrees about the y and x axes.

`mged>``rot 45 45 0`

Rotates the view or object 45° about the y axis, then rotates 45° about the x axis.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.